PublicApiWhoami
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/whoami \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"apiKey": {
"id": "<string>",
"prefix": "<string>",
"scopes": [
"organizations:read"
],
"accessLevel": "workspace",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
},
"organization": {
"id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Authentication
PublicApiWhoami
GET /api/v1/whoami
GET
/
api
/
v1
/
whoami
PublicApiWhoami
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/whoami \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"apiKey": {
"id": "<string>",
"prefix": "<string>",
"scopes": [
"organizations:read"
],
"accessLevel": "workspace",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
},
"organization": {
"id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.